Skip to content

Detach Volume to Node

PUT
/api/v1/block_storage/{block_id}/vm/detach/
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/block_storage/{block_id}/vm/detach/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"vm_id": 100157
}'
block_id
required
string

Block ID

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
vm_id
required
integer

Example

100157

A successful response indicating the detach process has started

Media typeapplication/json
object
code

Response status code

integer
data
object
image_id

Identifier of the block storage image

integer
vm_id

Identifier of the virtual machine from which the block storage is being detached

integer
errors

Any errors that occurred during the operation (if applicable)

object
message

Response message indicating the operation result

string

Example

{
"code": 200,
"data": {
"image_id": 25549,
"vm_id": 215996
},
"message": "Block Storage Detach Process is Started."
}